﻿'Project:     Lab 5
'Programmer:  Anthony DePinto
'Date:        Fall 2019
'Description: This project maintains a checking account balance.
'             The requested transaction is calculated and 
'             the new balance is displayed.
'             A summary includes all transactions.

Public Class CheckingForm
    Const SERVICE_CHARGE_DECIMAL As Decimal = 10

    Dim BalanceDecimal As Decimal
    Dim TotalDepositCountInteger, TotalCheckCountInteger, TotalServiceChargeCountInteger As Integer
    Dim TotalDepositAmountDecimal, TotalCheckAmountDecimal, TotalServiceChargeAmountDecimal As Decimal


    Private Sub ExitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitButton.Click
        'End the program

        Me.Close()
    End Sub

    Private Sub CalculateTextBox_Click(sender As Object, e As EventArgs) Handles CalculateTextBox.Click
        'Calculate the transaction and display the new balance.
        Dim AmountDecimal As Decimal

        If DepositRadioButton.Checked Or CheckRadioButton.Checked Or ChargeRadioButton.Checked Then
            Try
                AmountDecimal = Decimal.Parse(AmountTextBox.Text)

                'Calculate each transaction and keep track of summary information.
                If DepositRadioButton.Checked Then
                    ' deposit funds


                ElseIf CheckRadioButton.Checked Then
                    ' withdraw funds 

                Else
                    ' perform service charge

                End If

                ' output results
                BalanceTextBox.Text = BalanceDecimal.ToString("c")

                ' clear form



            Catch AmountException As FormatException
                MessageBox.Show("Please make sure that only numeric data has been entered.",
                    "Invalid Entry", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                With AmountTextBox
                    .Focus()
                    .SelectAll()
                End With
            Catch AnyException As Exception
                MessageBox.Show("Error: " & AnyException.Message)
            End Try
        Else
            MessageBox.Show("Please select deposit, check, or service charge", "Input needed")
        End If
    End Sub


    Private Sub ClearTextBox_Click(sender As Object, e As EventArgs) Handles ClearTextBox.Click
        ' clear form


    End Sub

    Private Sub SummaryButton_Click(sender As Object, e As EventArgs) Handles SummaryButton.Click
        ' display summary
        Dim MessageString As String

        MessageString = "Total # of Deposits: " & TotalDepositCountInteger.ToString & ControlChars.NewLine
        MessageString &= "Total Amount of Deposits: " & TotalDepositAmountDecimal.ToString("c") &
            ControlChars.NewLine & ControlChars.NewLine
        MessageString &= "Total # of Checks: " & TotalCheckCountInteger.ToString & ControlChars.NewLine
        MessageString &= "Total Amount of Checks: " & TotalCheckAmountDecimal.ToString("c") &
            ControlChars.NewLine & ControlChars.NewLine
        MessageString &= "Total # of Service Charges: " & TotalServiceChargeCountInteger.ToString & ControlChars.NewLine
        MessageString &= "Total Amount of Service Charges: " & TotalServiceChargeAmountDecimal.ToString("c") &
            ControlChars.NewLine & ControlChars.NewLine

        MessageBox.Show(MessageString, "Account Summary", MessageBoxButtons.OK, MessageBoxIcon.Information)

    End Sub
End Class

